package com.ruoyi.worktecket.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.worktecket.mapper.WorkTicketSignImgRunMapper;
import com.ruoyi.worktecket.domain.WorkTicketSignImgRun;
import com.ruoyi.worktecket.service.IWorkTicketSignImgRunService;

/**
 * 执行-作业票签字图片Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-04
 */
@Service
public class WorkTicketSignImgRunServiceImpl implements IWorkTicketSignImgRunService 
{
    @Autowired
    private WorkTicketSignImgRunMapper workTicketSignImgRunMapper;

    /**
     * 查询执行-作业票签字图片
     * 
     * @param id 执行-作业票签字图片主键
     * @return 执行-作业票签字图片
     */
    @Override
    public WorkTicketSignImgRun selectWorkTicketSignImgRunById(String id)
    {
        return workTicketSignImgRunMapper.selectWorkTicketSignImgRunById(id);
    }

    /**
     * 查询执行-作业票签字图片列表
     * 
     * @param workTicketSignImgRun 执行-作业票签字图片
     * @return 执行-作业票签字图片
     */
    @Override
    public List<WorkTicketSignImgRun> selectWorkTicketSignImgRunList(WorkTicketSignImgRun workTicketSignImgRun)
    {
        return workTicketSignImgRunMapper.selectWorkTicketSignImgRunList(workTicketSignImgRun);
    }

    /**
     * 新增执行-作业票签字图片
     * 
     * @param workTicketSignImgRun 执行-作业票签字图片
     * @return 结果
     */
    @Override
    public int insertWorkTicketSignImgRun(WorkTicketSignImgRun workTicketSignImgRun)
    {
        return workTicketSignImgRunMapper.insertWorkTicketSignImgRun(workTicketSignImgRun);
    }

    /**
     * 修改执行-作业票签字图片
     * 
     * @param workTicketSignImgRun 执行-作业票签字图片
     * @return 结果
     */
    @Override
    public int updateWorkTicketSignImgRun(WorkTicketSignImgRun workTicketSignImgRun)
    {
        return workTicketSignImgRunMapper.updateWorkTicketSignImgRun(workTicketSignImgRun);
    }

    /**
     * 批量删除执行-作业票签字图片
     * 
     * @param ids 需要删除的执行-作业票签字图片主键
     * @return 结果
     */
    @Override
    public int deleteWorkTicketSignImgRunByIds(String[] ids)
    {
        return workTicketSignImgRunMapper.deleteWorkTicketSignImgRunByIds(ids);
    }

    /**
     * 删除执行-作业票签字图片信息
     * 
     * @param id 执行-作业票签字图片主键
     * @return 结果
     */
    @Override
    public int deleteWorkTicketSignImgRunById(String id)
    {
        return workTicketSignImgRunMapper.deleteWorkTicketSignImgRunById(id);
    }
}
